es.gob.fnmt.nfc

## Enum NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify

- java.lang.Object
- - java.lang.Enum<NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify>
  - - es.gob.fnmt.nfc.NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify>
  Enclosing interface:
    NFCCommReaderFragment.NFCCommReaderFragmentListener

      public static enum NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify
      extends java.lang.Enum<NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify>

  Event type
  - `ENABLE_NFC_READER`
  - `READER_CLOSE`
  - `ERROR`
  - `NFC_TASK_INIT`
  - `NFC_TASK_UPDATE`
  - `NFC_TASK_DONE`
  - `NFC_TASK_FINISHED`
  - `FINAL_TASK_INIT`
  - `FINAL_TASK_DONE`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENABLE_NFC_READER` The NFC feature of the reader device is not enabled.
    `ERROR` When an error occur.
    `FINAL_TASK_DONE` When the final task callback instance is finished.
    `FINAL_TASK_INIT` When the task is finished but final task callback instance is about to start.
    `NFC_TASK_DONE` When the reading process has ended, but the task is not finished.
    `NFC_TASK_FINISHED` When the task is finished and no error occur.
    `NFC_TASK_INIT` Reading task starts.
    `NFC_TASK_UPDATE` While communication is in progress, when a some event occur.
    `READER_CLOSE` The smartcard must be put closer to the NFC reader.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLE_NFC_READER

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify ENABLE_NFC_READER

      The NFC feature of the reader device is not enabled.

    - #### ERROR

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify ERROR

      When an error occur.

    - #### FINAL_TASK_DONE

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify FINAL_TASK_DONE

      When the final task callback instance is finished.

    - #### FINAL_TASK_INIT

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify FINAL_TASK_INIT

      When the task is finished but final task callback instance is about to start.

    - #### NFC_TASK_DONE

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify NFC_TASK_DONE

      When the reading process has ended, but the task is not finished. This is useful if we want to close a progress dialog, but it's not clear if an error occur.

    - #### NFC_TASK_FINISHED

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify NFC_TASK_FINISHED

      When the task is finished and no error occur.

    - #### NFC_TASK_INIT

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify NFC_TASK_INIT

      Reading task starts.

    - #### NFC_TASK_UPDATE

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify NFC_TASK_UPDATE

      While communication is in progress, when a some event occur.

    - #### READER_CLOSE

          public static final NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify READER_CLOSE

      The smartcard must be put closer to the NFC reader.

  - ### Method Detail

    - #### valueOf

          public static NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify c : NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared